/* woocommerce titles */
.woocommerce h1:not([class]),
.woocommerce h2:not([class]),
.woocommerce h3:not([class]),
.woocommerce h4:not([class]),
.woocommerce h5:not([class]),
.woocommerce h6:not([class]) {
  font-family: var(--main-font);
  font-weight: 600;
  font-size: 4rem;
  line-height: 140%;
  letter-spacing: 0.02em;
  text-transform: uppercase;
}

/* woocommerce archive */
.woocommerce-result-count,
.woocommerce-ordering {
  display: none;
}

/* .woocommerce-pagination */
.woocommerce-pagination {
  padding-top: 4rem;
}

.woocommerce nav.woocommerce-pagination ul {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-align: center;
  -ms-flex-align: center;
  align-items: center;
  -webkit-box-pack: center;
  -ms-flex-pack: center;
  justify-content: center;
  margin: 0;
  border: none;
}

.woocommerce nav.woocommerce-pagination ul li {
  border: none;
}

.woocommerce nav.woocommerce-pagination ul li + li {
  margin-left: 0.9rem;
}

.woocommerce nav.woocommerce-pagination ul li a,
.woocommerce nav.woocommerce-pagination ul li span {
  font-family: var(--main-font);
  font-weight: 500;
  font-size: 1.4rem;
  line-height: 100%;
  width: 3rem;
  height: 3rem;
  border-radius: 0.2rem;
  color: var(--main-color);
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-align: center;
  -ms-flex-align: center;
  align-items: center;
  -webkit-box-pack: center;
  -ms-flex-pack: center;
  justify-content: center;
}

.woocommerce nav.woocommerce-pagination ul li a:focus,
.woocommerce nav.woocommerce-pagination ul li a:hover,
.woocommerce nav.woocommerce-pagination ul li span.current {
  background: var(--main-color);
  color: #fff;
}

/* woocommerce single product */
.product_meta {
  display: none;
}

.related.products {
  padding-top: 8rem;
}

.related.products h2 {
  padding-bottom: 4.8rem;
}

/* woocommerce btns */
.woocommerce #respond input#submit.alt,
.woocommerce a.button.alt,
.woocommerce button.button.alt,
.woocommerce input.button.alt {
  background-color: var(--main-color);
}

.woocommerce #respond input#submit.alt:hover,
.woocommerce a.button.alt:hover,
.woocommerce button.button.alt:hover,
.woocommerce input.button.alt:hover {
  background-color: var(--main-color);
}

.woocommerce #respond input#submit,
.woocommerce a.button,
.woocommerce button.button,
.woocommerce input.button {
  font-family: var(--main-font);
  text-transform: uppercase;
  font-weight: 500;
  font-size: 1.6rem !important;
  line-height: 140%;
  letter-spacing: 0.01em;
  text-transform: uppercase;
  height: 7rem;
  padding: 0 4rem !important;
  display: -webkit-box !important;
  display: -ms-flexbox !important;
  display: flex !important;
  -webkit-box-align: center;
  -ms-flex-align: center;
  align-items: center;
  -webkit-box-pack: center;
  -ms-flex-pack: center;
  justify-content: center;
  text-align: center;
  border-radius: 0.8rem;
}

/* Woocommerce message */
.woocommerce-message,
.woocommerce-info {
  display: flex !important;
  align-items: center !important;
  flex-direction: row-reverse !important;
  justify-content: space-between !important;
  background: #fff !important;
  padding: 0.5rem 1rem 0.5rem 4rem !important;
  border: 1px solid #ebe9eb;
  border-top: 3px solid transparent;
  border-radius: 2px;
}

.woocommerce-error,
.woocommerce-info,
.woocommerce-message {
  width: 100%;
  border-top-color: var(--main-color) !important;
  line-height: 140% !important;
}

.woocommerce-message #respond input#submit,
.woocommerce-message a.button,
.woocommerce-message button.button,
.woocommerce-message input.button,
.woocommerce-page .woocommerce-message .button,
.woocommerce-info #respond input#submit,
.woocommerce-info a.button,
.woocommerce-info button.button,
.woocommerce-info input.button,
.woocommerce-page .woocommerce-info .button {
  height: unset;
  padding: 1.5rem 3rem !important;
}

ul.woocommerce-error,
ul.woocommerce-info,
ul.woocommerce-message {
  padding: 1rem 1rem 1rem 4.5rem;
}

.woocommerce-error a,
.woocommerce-info a,
.woocommerce-message a {
  color: var(--main-color);
  text-decoration: underline;
}

.woocommerce-error::before,
.woocommerce-info::before,
.woocommerce-message::before {
  color: var(--main-color) !important;
  left: 1rem !important;
  top: 50% !important;
  transform: translateY(-50%) !important;
}

.woocommerce-error::after,
.woocommerce-info::after,
.woocommerce-message::after {
  display: none !important;
}

/* amount */
.amount {
  font-family: var(--main-font);
  font-weight: 500;
  font-size: 1.8rem;
  line-height: 140%;
  letter-spacing: 0.01em;
  text-transform: uppercase;
  color: var(--secondary-font-color);
}

/* cart */
.cart_totals h2 {
  color: var(--main-font-color);
  margin-bottom: 2rem;
}

.cart_totals .shop_table *,
.woocommerce-checkout-review-order .shop_table * {
  color: var(--main-font-color);
}

/* Checkout */
.woocommerce form .form-row input.input-text {
  border: 1px solid rgba(131, 129, 146, 0.2);
  border-radius: 0.8rem;
  padding: 2rem;
  font-size: 1.6rem;
  line-height: 1;
  color: rgb(131, 129, 146);
}

.select2-container--default .select2-selection--single {
  border: 1px solid rgba(131, 129, 146, 0.2);
  border-radius: 0.8rem;
  font-size: 1.6rem;
  line-height: 1;
  color: rgb(131, 129, 146);
  height: 6.1rem;
}

.select2-container--default
  .select2-selection--single
  .select2-selection__rendered {
  display: flex !important;
  align-items: center !important;
  height: 6.1rem !important;
  padding: 0 2rem;
}

.select2-container--default
  .select2-selection--single
  .select2-selection__arrow {
  top: 50% !important;
  transform: translateY(-50%) !important;
}

.woocommerce form .form-row label {
  font-weight: 600;
  font-size: 1.6rem;
  line-height: 1;
  padding-bottom: 1rem;
  color: rgba(51, 51, 51, 1);
}

.woocommerce form .form-row {
  padding: 0;
  margin: 0 0 2.5rem;
}

.woocommerce .woocommerce-billing-fields h3,
.woocommerce .woocommerce-additional-fields h3 {
  font-family: var(--main-font);
  font-weight: 600;
  font-size: 2rem;
  line-height: 140%;
  letter-spacing: 0.02em;
  text-transform: uppercase;
  margin-bottom: 2rem;
  color: var(--main-font-color);
}

.woocommerce form .form-row textarea {
  border: 1px solid rgba(131, 129, 146, 0.2);
  border-radius: 0.8rem;
  padding: 2rem;
  font-size: 1.6rem;
  line-height: 1;
  color: rgb(131, 129, 146);
  height: 15rem;
  resize: none;
}

#order_review_heading {
  font-family: var(--main-font);
  font-weight: 600;
  font-size: 3rem;
  line-height: 140%;
  letter-spacing: 0.02em;
  text-transform: uppercase;
  margin-top: 4rem;
  margin-bottom: 2rem;
  color: var(--main-font-color);
}

.woocommerce table.shop_table th {
  padding: 1rem 1.5rem;
  font-family: var(--main-font);
  font-weight: 500;
  font-size: 1.8rem;
  line-height: 140%;
  letter-spacing: 0.01em;
  text-transform: uppercase;
}

/* MyAccount */
.woocommerce-MyAccount-navigation {
  background: #ffffff;
  box-shadow: 0 0 1.9rem rgb(0 0 0 / 7%);
  border-radius: 0.8rem;
  padding: 3rem 2rem;
  margin-bottom: 4rem;
}

.woocommerce-MyAccount-navigation ul {
  padding: 0;
  margin: 0;
  list-style: none;
}

.woocommerce-MyAccount-navigation ul li.is-active a {
  color: var(--main-color);
}

.woocommerce-MyAccount-navigation ul li + li {
  margin-top: 1rem;
}

.woocommerce-MyAccount-navigation ul li a {
  font-family: var(--main-font);
  font-weight: 500;
  font-size: 1.4rem;
  line-height: 140%;
  letter-spacing: 0.01em;
  color: var(--main-font-color);
  text-transform: uppercase;
}

.woocommerce-MyAccount-content {
  color: var(--main-font-color);
}

.woocommerce-Address-title * {
  font-size: 2rem !important;
}

.woocommerce-EditAccountForm fieldset {
  margin-bottom: 2rem;
}

@media screen and (max-width: 767px) {
  /* woocommerce titles */
  .woocommerce h1:not([class]),
  .woocommerce h2:not([class]),
  .woocommerce h3:not([class]),
  .woocommerce h4:not([class]),
  .woocommerce h5:not([class]),
  .woocommerce h6:not([class]) {
    font-size: 3rem;
  }

  /* woocommerce single product */
  .product_title {
    font-size: 3rem;
  }

  /* Woocommerce message */
  .woocommerce-message,
  .woocommerce-info {
    flex-direction: column-reverse !important;
  }

  .woocommerce-message #respond input#submit,
  .woocommerce-message a.button,
  .woocommerce-message button.button,
  .woocommerce-message input.button,
  .woocommerce-info #respond input#submit,
  .woocommerce-info a.button,
  .woocommerce-info button.button,
  .woocommerce-info input.button {
    margin-top: 2rem;
  }
}
